GDB (xrefs)

Public Attributes | List of all members
ui_interp_info Struct Reference

## Public Attributes
struct interp * | interp_list
struct interp * | current_interpreter
struct interp * | top_level_interpreter
struct interp * | command_interpreter

## Detailed Description

Definition at line 44 of file interps.c.

## Member Data Documentation

## ◆ command_interpreter

struct interp* ui_interp_info::command_interpreter

Definition at line 53 of file interps.c.

Referenced by command_interp(), and interp_exec().

## ◆ current_interpreter

struct interp* ui_interp_info::current_interpreter

Definition at line 48 of file interps.c.

Referenced by command_interp(), current_interp_named_p(), current_interp_set_logging(), current_interpreter(), interp_set(), interp_ui_out(), interpreter_exec_cmd(), and scoped_restore_interp::set_interp().

## ◆ interp_list

struct interp* ui_interp_info::interp_list

Definition at line 47 of file interps.c.

Referenced by interp_add(), and interp_lookup_existing().

## ◆ top_level_interpreter

struct interp* ui_interp_info::top_level_interpreter

Definition at line 49 of file interps.c.

Referenced by interp_set(), and top_level_interpreter().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/interps.c